// Gather and display system information
// Copyright (C) 2021 Lucien Cartier-Tilet <lucien@phundrak.com>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

mod sysinfo;
mod args;
mod cli;

use clap::Parser;

fn main() {
    output_vt100::init();

    let args = args::Args::parse();
    let machine = sysinfo::Machine::new();
    if args.json {
        println!("{}", serde_json::to_string(&machine).unwrap());
    } else {
        cli::print_cli(machine, args);
    }
}
